### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
CdsHelper Class Reference

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for CdsHelper:
[legend]

List of all members.

## Public Member Functions

| CdsHelper (const Handle< Quote > &quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
| CdsHelper (Rate quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
void | setTermStructure (DefaultProbabilityTermStructure *)

## Protected Member Functions

void | update ()
void | initializeDates ()
virtual void | resetEngine ()=0

## Protected Attributes

Period | tenor_
Integer | settlementDays_
Calendar | calendar_
Frequency | frequency_
BusinessDayConvention | paymentConvention_
DateGeneration::Rule | rule_
DayCounter | dayCounter_
Real | recoveryRate_
Handle< YieldTermStructure > | discountCurve_
bool | settlesAccrual_
bool | paysAtDefaultTime_
Schedule | schedule_
boost::shared_ptr < CreditDefaultSwap > | swap_
RelinkableHandle < DefaultProbabilityTermStructure > | probability_
Date | protectionStart_
| protection effective date.

## Detailed Description

Base default-probability bootstrap helper

Parameters:

  tenor | CDS tenor.
  frequency | Coupon frequency.
  settlementDays | The number of days from today's date to the start of the protection period.
  paymentConvention | The payment convention applied to coupons schedules, settlement dates and protection period calculations.

## Member Function Documentation

void update | ( |  | ) | `[protected, virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from RelativeDateBootstrapHelper< TS >.